#2139 wrong IP adresses in active connections

1.210
closed
5
2005-06-29
2005-06-28
Anonymous
No

i think this is a very important bug to be fix. in pptp
server when viewing my active connections, all the
private addresses that i fixed for my clients are
displayed wrong. the problem is that webmin does not
display the names of my clients so now i have no way to
know whose connected and whose not.!!

Discussion

1 2 > >> (Page 1 of 2)
  • slima_benj

    slima_benj - 2005-06-28

    Logged In: YES
    user_id=1303991

    please could some one help me find a way to solve this
    problem . i really need to know whose connected. by the way
    i'm using webmin-1.210. thanks

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-28

    Logged In: YES
    user_id=129364

    It would be helpful if you could post the output from the
    commands :
    ps auxwww | grep pptp
    ps axuwww | grep ppp
    on your system..

     
  • slima_benj

    slima_benj - 2005-06-28

    Logged In: YES
    user_id=1303991

    here is the result of the commande : but plz note that the
    private IP adresses taken are not all right. i don't know from
    where it get it and why it take it wrong. note also that when
    assigning addresses to the vpn clients it is the right ones that
    are assigned it is only for displaying that there is a problem

    [root@VPN_Server ~]# ps auxwww| grep ppp
    root 3551 0.0 0.4 3164 1196 ? S 06:47
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.173 ipparam 81.192.253.144
    root 3765 0.0 0.4 3308 1196 ? S 08:50
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.171 ipparam 81.192.187.42
    root 3842 0.0 0.4 2516 1184 ? S 09:35
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.172 ipparam 81.192.114.254
    root 5297 0.0 0.2 5544 732 pts/5 R+ 11:55 0:00
    grep ppp
    [root@VPN_Server ~]# ps auxwww| grep pptp
    root 2503 0.0 0.2 1968 656 ? Ss Jun23
    0:00 /usr/sbin/pptpd
    root 3550 0.0 0.2 2852 516 ? S 06:47 0:00
    pptpd [81.192.253.144:0000 - 7300]
    root 3551 0.0 0.4 3164 1196 ? S 06:47
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.173 ipparam 81.192.253.144
    root 3764 0.0 0.2 2348 520 ? S 08:50 0:00
    pptpd [81.192.187.42:0000 - 7380]
    root 3765 0.0 0.4 3308 1196 ? S 08:50
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.171 ipparam 81.192.187.42
    root 3841 0.0 0.2 2144 516 ? S 09:35 0:00
    pptpd [81.192.114.254:0000 - 7400]
    root 3842 0.0 0.4 2516 1184 ? S 09:35
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.172 ipparam 81.192.114.254
    root 5299 0.0 0.2 4652 724 pts/5 R+ 11:55 0:00
    grep pptp

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-28

    Logged In: YES
    user_id=129364

    Based on that output, Webmin would use 81.192.253.144 as the
    real remote IP address of the client, and
    10.33.73.170-10.33.73.173 as the IPs of the VPN tunnel.
    What should these really be on your system?

     
  • slima_benj

    slima_benj - 2005-06-28

    Logged In: YES
    user_id=1303991

    no what the output is saying is that 81.192.253.144 is ONE
    real remote IP address of a client with virtual ip address
    10.33.73.173 but in fact this client has a virtual ip address of
    10.33.73.174 .in brief i have 3 clients with ip addresses
    10.33.73.171,172,174 . the one displayed 10.33.73.173 is not
    assigned to any of my clients. you can see in the output that
    i posted that i have 3 clients each one with a real adsl ip
    address and a virtual one . but my concern is that this output
    does not display the correct ip addresses assigned to my
    clients.

    thank you for answering my questions :) it's nice ffrom you

     
  • slima_benj

    slima_benj - 2005-06-28

    Logged In: YES
    user_id=1303991

    more than this, when you ping 10.33.73.173 it does not exist.
    this is normal because i did'nt assign it to any of my clients.
    by why does it display it?? all i need to know is from where
    does he get those addresses to display so that i go and see
    if i can change it ??!!

    even worse, sometimes when i actualize the page of active
    connections, the ip address are changed like if they were
    dynamic which is not the case since they are static!!!!

    it's getting me crazy!! is it a bug or waht?? can i display the
    names instead of the ip addresses???

     
  • slima_benj

    slima_benj - 2005-06-28

    Logged In: YES
    user_id=1303991

    now i know where the problem is ... the problem is that
    webmin reads from a file that gives incorrect data. how do
    i know??
    when i did the following command : "ps - ef | grep ppp" i
    get also wrong information about the private clients
    ip...!! so my question now is how come?? why does the pptpd
    server display me wrong data how can i solve this
    problem .. is it a configuration problem or what .
    plz give me yr feedback, my boss start getting annoyed :)

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-29

    Logged In: YES
    user_id=129364

    Webmin gets the list of IPs from the arguments to the
    running ppp and pptpd processes. Normally, each pptpd
    process has the remote IP as a paramter in [ ] brackets, and
    has a single ppp sub-process with the local and remote
    virtual IP addresses as parameters separated by a :

    Is this the case on your system? Or does the pptpd process
    have more than one ppp sub-process?

     
  • slima_benj

    slima_benj - 2005-06-29

    Logged In: YES
    user_id=1303991

    yes this is the case on my system . but what happens is that
    my ppp sub-process shows me my local and remote virtual ip
    addresses separated by a : as you said but with the WRONG
    remote ip address.
    i would like to know how can this happen, is it something that
    i need to change in pptpd configuration or what?

     
  • slima_benj

    slima_benj - 2005-06-29

    Logged In: YES
    user_id=1303991

    from the mailling list of poptop server i understood what the
    problem is :
    when one of my clients connects, pptpd calls pppd process
    whith a local and a remote ip address (he takes the first
    remote ip address on the range that i specified)

    at that time pppd doest'n know who the user is. when it
    comes to authentication he sees that the client has a static
    ip address and assigns it.

    but at this point pptpd still think that the ip address of the
    client is the one that HE gives (the first one that was available
    on the pool and which is wrong). this is why there is
    confusion about the ip addresses that are displayed in
    webmin since it takes the data given by pptpd.

    i'm using pptpd-1.2.1-1.i386.

    is there a patch that fixes this bug , or do i need to upgrade
    my version of pptpd??

    thanks

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-29

    Logged In: YES
    user_id=129364

    I may be able to fix this in webmin, by looking at the IPs
    of the pppN interface.
    Which IP in the ppp process command line is incorrect - the
    first or the second?

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-29

    Logged In: YES
    user_id=129364

    Actually, ignore that last message. From further checking,
    I've found that there is nothing I can do in Webmin to
    resolve this if the IPs in the ppp command arguments are
    incorrect :-(

     
  • slima_benj

    slima_benj - 2005-06-29

    Logged In: YES
    user_id=1303991

    root 3551 0.0 0.4 3164 1196 ? S 06:47
    0:00 /usr/sbin/pppd local file /etc/ppp/options.pptpd 115200
    10.33.73.170:10.33.73.173 ipparam 81.192.253.144

    it is the second ip that is incorrect :"10.33.73.173"!! the first
    one is the local ip address and there is no problem with it.

    can you tell me when u fix the problem what i should do to fix
    it also! thank u

     
  • slima_benj

    slima_benj - 2005-06-29

    Logged In: YES
    user_id=1303991

    can't u do something with the ifconfig command !!

    the ip's there are correct!

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-29

    Logged In: YES
    user_id=129364

    The ifconfig command is no use, because there is no way to
    tell which ppp processes correspond to which pppN interfaces ..

     
  • slima_benj

    slima_benj - 2005-06-29

    Logged In: YES
    user_id=1303991

    what about adding the name of the user so that even if the ip
    address is wrong at least we know which user is connected

     
  • slima_benj

    slima_benj - 2005-06-29

    Logged In: YES
    user_id=1303991

    so what u'r telling me now is that there is no way to now who
    are the clients that are connected to my vpn :(

    don't you know of any other way to solve this problem ...
    another software or a commande ....
    i have about 50 clients so u can imagine how i can get lost if
    i can't keep track of who is who !!!

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-29
    • status: open --> closed
     
  • Jamie Cameron

    Jamie Cameron - 2005-06-29

    Logged In: YES
    user_id=129364

    I've worked out another way to identify connections - from
    the login name recorded in /var/log/messages . The next
    Webmin release will support this .. assuming that your
    system writes logs like :

    Jun 30 09:33:27 fudu pppd[25426]: CHAP peer authentication
    succeeded for jamie

     
  • slima_benj

    slima_benj - 2005-06-30

    Logged In: YES
    user_id=1303991

    this is a good idea, even thought my system does not write
    logs like this, but in fact i checked and you can take from
    there the virtual remote and local ip addresses. they are the
    right ones !:!!!

    can you plz let me know when there is a new version of
    webmin.
    thanks a lot

     
  • Jamie Cameron

    Jamie Cameron - 2005-06-30

    Logged In: YES
    user_id=129364

    The next official version that includes this fix will be out
    in a few weeks.
    The next development version (1.216) will be available from
    http://www.webmin.com/devel.html in a few days..

     
  • slima_benj

    slima_benj - 2005-07-04

    Logged In: YES
    user_id=1303991

    hello

    i'm trying to download the new version of webmin the
    1.216.tar but the download is corrupted !! it says 8M but i can
    have only 2M of it !!!

     
  • Jamie Cameron

    Jamie Cameron - 2005-07-04

    Logged In: YES
    user_id=129364

    Try downloading it from a different location ... I have
    downloaded it myself, and it is definately OK.

     
  • slima_benj

    slima_benj - 2005-07-05

    Logged In: YES
    user_id=1303991

    it is finally working good... i can see the right virtual ip
    addresses of people connected. thank you .

    but what version of pptpd are you using , because my system
    does not show the names of people connected, it shows only
    the remote and local ip addresses. now on webmin, it shows
    unknown under username .

    thanks a lot for that, it helps me a lot !

     
  • Jamie Cameron

    Jamie Cameron - 2005-07-05

    Logged In: YES
    user_id=129364

    I use PoPToP version 1.0.1 , which logs a line in
    /var/log/messages like :
    CHAP peer authentication succeeded for jcameron
    when a user connects. Does yours log any similar line?

     
1 2 > >> (Page 1 of 2)

Log in to post a comment.